Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066983 - Can't install vim
Summary: Can't install vim
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 13:08 UTC by James Slagle
Modified: 2015-06-12 11:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-12 11:24:55 UTC


Attachments (Terms of Use)

Description James Slagle 2014-02-19 13:08:07 UTC
Description of problem:
Can no longer install vim on Fedora 20. I believe an update must have gone out yesterday or in the last couple of hours that has caused this. The error from yum is:

Transaction check error:
  file /usr/share/man/man1/vim.1.gz from install of vim-common-2:7.4.179-1.fc20.x86_64 conflicts with file from package vim-minimal-2:7.4.027-2.fc20.x86_64


Version-Release number of selected component (if applicable):
2:7.4.179-1.fc20

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 20
2. yum install vim
3. Get error above

Actual results:


Expected results:
vim gets installed

Additional info:
An easy way to test is with the Fedora 20 cloud image, which is what I'm using and first noticed the problem. Boot the cloud image, then try a "yum install vim".

Comment 1 James Slagle 2014-02-19 13:28:38 UTC
I suppose doing a "yum update vim-minimal" first and then "yum install vim" fixes it. Shouldn't that be happening automatically?

Comment 2 Guillermo Agudelo 2014-02-26 17:47:42 UTC
Same to me installing vim-X11.

Comment 3 Ashwani Lohiya 2014-03-01 16:42:00 UTC
(In reply to James Slagle from comment #1)
> I suppose doing a "yum update vim-minimal" first and then "yum install vim"
> fixes it. Shouldn't that be happening automatically?

Thank u James....it is working...correctly

Comment 4 Dan Callaghan 2014-09-16 02:05:13 UTC
(In reply to James Slagle from comment #1)
> I suppose doing a "yum update vim-minimal" first and then "yum install vim"
> fixes it. Shouldn't that be happening automatically?

It would if vim-common had an RPM Conflicts on vim-minimal, but it doesn't. Normally that is fine if vim-common and vim-minimal are the exact same version (the man page they are both installing will be identical so there is no file conflict and both packages can be installed simultaneously). The problem is when the versions don't match, which happens e.g. when starting from a fresh F20 install with no updates (or the cloud image).

I think the proper fix is for vim-common to have:

Conflicts: vim-minimal < %{epoch}:%{version}-%{release}

Yum should then at least figure out it has to remove vim-minimal (I didn't test this though).

Comment 5 Fedora End Of Life 2015-05-29 10:58:55 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Karsten Hopp 2015-06-12 11:24:55 UTC
Comment 1 had the correct solution. You need to update the already installed vim packages to the latest available version and then you're able to install additional vim packages


Note You need to log in before you can comment on or make changes to this bug.